<?php
/**
 * $Horde: ingo/blacklist.php,v 1.15.2.2 2005/01/03 11:25:53 jan Exp $
 *
 * Copyright 2002-2005 Mike Cochrane <mike@graftonhall.co.nz>
 *
 * See the enclosed file LICENSE for license information. If you
 * did not receive this file, see http://www.horde.org/licenses.
 */

@define('INGO_BASE', dirname(__FILE__));
require_once INGO_BASE . '/lib/base.php';

/* Get the backend. */
$have_mark = false;
$scriptor = &Ingo::loadIngoScript();
if ($scriptor) {
    /* Determine if this scriptor supports mark-as-deleted. */
    $avail_actions = $scriptor->availableActions();
    if (in_array('mark', $avail_actions)) {
        $have_mark = true;
    }
}

$actionID = Horde::getFormData('actionID');
switch ($actionID) {
case INGO_RULE_UPDATE:
    $new_blacklist = trim(Horde::getFormData('blacklist'));
    $new_blacklist = preg_split("/\s+/", $new_blacklist);
    if (!$ingo['storage']->store('blacklist', $new_blacklist)) {
        $notification->push("Error saving changes.", 'horde.error');
    } elseif ($ingo['storage']->isLocked('blacklist_folder')) {
        $notification->push(_("Changes saved."), 'horde.success');
    } else {
        switch (Horde::getFormData('action')) {
        case 'delete':
            $folder = '';
            break;

        case 'mark':
            $folder = INGO_BLACKLIST_MARKER;
            break;

        case 'folder':
            $folder = Horde::getFormData('actionvalue');
            break;
        }
        if (($folder == INGO_BLACKLIST_MARKER) && !$have_mark) {
            $notification->push("Not supported by this script generator.", 'horde.error');
        } elseif (!$ingo['storage']->store('blacklist_folder', $folder)) {
            $notification->push("Error saving changes.", 'horde.error');
        } else {
            $notification->push(_("Changes saved"), 'horde.success');
        }
    }

    if ($prefs->getValue('auto_update')) {
        /* This does its own $notification->push() on error: */
        Ingo::updateScript();
    }
    break;
}

$blacklist_addresses = $ingo['storage']->retrieve('blacklist');
$blacklist_folder = $ingo['storage']->retrieve('blacklist_folder');
if (!$ingo['storage']->isLocked('blacklist_folder')) {
    $folder_list = Ingo::flistSelect($blacklist_folder);
}

require INGO_TEMPLATES . '/common-header.inc';
include INGO_BASE . '/menu.php';
$notification->notify();
require INGO_TEMPLATES . '/blacklist/blacklist.inc';
require INGO_TEMPLATES . '/common-footer.inc';
