<?php
/**
 * $Horde: ingo/lib/Driver/null.php,v 1.7 2003/04/19 15:54:00 bjn Exp $
 *
 * Ingo_Driver_null:: Implements a null api -- useful for just testing
 * the UI and storage.
 *
 * @author  Brent J. Nordquist <bjn@horde.org>
 * @version $Revision: 1.7 $
 * @since   Ingo 0.0.1
 * @package ingo
 */

class Ingo_Driver_null extends Ingo_Driver {

    /**
     * Constructor.
     *
     * @access public
     */
    function Ingo_Driver_null($params = array())
    {
        $this->_params = array();
    }

    /**
     * Sets a script running on the backend.
     *
     * @param string $script    The filter script.
     * @param string $username  The backend username.
     * @param string $password  The backend password.
     *
     * @return mixed  True on success, or PEAR_Error on failure.
     */
    function setScriptActive($script, $username, $password)
    {
        return true;
    }

    /**
     * Used to determine the capabilities of the server the
     * script will be run on.
     *
     * @param string $name  The name of the extension.
     *
     * @return boolean  True if the server has the extension.
     */
    function hasExtension($name)
    {
        return false;
    }

}
