<?php
/**
 * $Horde: ingo/lib/Driver/timsieved.php,v 1.10.2.1 2003/04/28 11:18:14 jan Exp $
 *
 * Ingo_Driver_timsieved:: Implements the Sieve_Driver api to allow
 * scripts to up installed and actived via the Cyrus timsieved server.
 *
 * @author  Mike Cochrane <mike@graftonhall.co.nz>
 * @version $Revision: 1.10.2.1 $
 * @since   Ingo 0.0.1
 * @package ingo
 */

require_once('Net/Sieve.php');

class Ingo_Driver_timsieved extends Ingo_Driver {

    /**
     * Constructor.
     *
     * @access public
     */
    function Ingo_Driver_timsieved($params = array())
    {
        $this->_params = array();
        $this->_params['hostspec'] = isset($params['hostspec']) ? $params['hostspec'] : 'localhost';
        $this->_params['port'] = isset($params['port']) ? $params['port'] : 2000;
        $this->_params['logintype'] = isset($params['logintype']) ? $params['logintype'] : 'PLAIN';
        $this->_params['scriptname'] = isset($params['scriptname']) ? $params['scriptname'] : 'ingo';
        $this->_params['hordeauth'] = isset($params['hordeauth']) ? $params['hordeauth'] : 'full';
    }

    /**
     * Sets a script running on the backend.
     *
     * @param string $script    The sieve script.
     * @param string $username  The backend username.
     * @param string $password  The backend password.
     *
     * @return boolean  True on success.
     *                  Returns PEAR_Error on error.
     */
    function setScriptActive($script, $username, $password)
    {

        $sieve = new Net_Sieve($username,
                                $password,
                                $this->_params['hostspec'],
                                $this->_params['port'],
                                $this->_params['logintype']);

        if (PEAR::isError($sieve)) {
            return $sieve;
        }

        return $sieve->installScript($this->_params['scriptname'], $script, true);
    }

    /**
     * Used to determine the capabilities of the server the
     * script will be run on.
     *
     * @param string $name  The name of the extension.
     *
     * @return boolean  True if the server has the extension.
     */
    function hasExtension($name)
    {
        return false;
    }

}
