<?php
/**
 * Ingo external API interface.
 *
 * This file defines Ingo's external API interface. Other applications
 * can interact with Ingo through this API.
 *
 * $Horde: ingo/lib/api.php,v 1.7.2.1 2003/05/06 12:28:35 bjn Exp $
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 */

$_services['applyFilters'] = array(
    'args' => array(),
    'type' => 'boolean'
);

$_services['showFilters'] = array(
    'link' => '%application%/filters.php'
);

function blacklistFrom($addresses = array())
{
    global $ingo;
    global $notification;
    require_once dirname(__FILE__) . '/../lib/base.php';

    if (!$ingo['storage']->store('blacklist', array_merge($ingo['storage']->retrieve('blacklist'), $addresses))) {
        $notification->push(_("Error adding addresses to blacklist."), 'horde.error');
    } else {
        $notification->push(_("Addresses added to blacklist."), 'horde.success');
        Ingo::updateScript();
    }
}

function whitelistFrom($addresses = array())
{
    global $ingo;
    global $notification;
    require_once dirname(__FILE__) . '/../lib/base.php';

    if (!$ingo['storage']->store('whitelist', array_merge($ingo['storage']->retrieve('whitelist'), $addresses))) {
        $notification->push(_("Error adding addresses to whitelist."), 'horde.error');
    } else {
        $notification->push(_("Addresses added to whitelist."), 'horde.success');
        Ingo::updateScript();
    }
}

function _ingo_applyFilters()
{
    require_once dirname(__FILE__) . '/../lib/base.php';

    $ingo_script = &Ingo::loadIngoScript();
    if ($ingo_script) {
        $ingo_script->perform();
    }
}
