<?php
/**
 * Ingo base inclusion file.
 *
 * $Horde: ingo/lib/base.php,v 1.21.2.7 2004/09/20 20:44:44 slusarz Exp $
 *
 * This file brings in all of the dependencies that every Ingo
 * script will need and sets up objects that all scripts use.
 */

// Find the base file path of Horde.
@define('HORDE_BASE', dirname(__FILE__) . '/../..');

// Find the base file path of Ingo.
@define('INGO_BASE', dirname(__FILE__) . '/..');

// Ingo base library
require_once INGO_BASE . '/lib/Ingo.php';

// Registry
require_once HORDE_BASE . '/lib/Registry.php';
$registry = &Registry::singleton();
$registry->pushApp('ingo');
$conf = &$GLOBALS['conf'];
@define('INGO_TEMPLATES', $registry->getParam('templates'));

// Horde base libraries
require_once HORDE_BASE . '/lib/Horde.php';
require_once HORDE_BASE . '/lib/Auth.php';
require_once HORDE_BASE . '/lib/Text.php';
require_once HORDE_BASE . '/lib/Help.php';

// Browser detection library
require_once HORDE_BASE . '/lib/Browser.php';
$browser = &new Browser();

// Notification system.
require_once HORDE_BASE . '/lib/Notification.php';
$notification = &Notification::singleton();
$notification->attach('status');

// Redirect the user to the Horde login page if they haven't
// authenticated.
if (!Auth::getAuth()) {
    header('Location: ' . Horde::url($registry->getParam('webroot', 'horde') . '/login.php?url=' . urlencode(Horde::selfUrl()), true));
    exit;
}

if (!array_key_exists('ingo', $_SESSION)) {
    $_SESSION['ingo'] = array();
    $_SESSION['ingo']['edit'] = false;
}

// Initialize the global $ingo variable
$ingo = array();

// Load the Ingo_Storage module
require_once INGO_BASE . '/lib/Storage.php';
$ingo['storage'] = &Ingo_Storage::singleton($conf['storage']['driver']);
$_SESSION['ingo']['filters'] = $ingo['storage']->retrieve('rules');
