<?php
/**
 * $Horde: ingo/script.php,v 1.15.2.3 2005/01/03 11:25:54 jan Exp $
 *
 * Copyright 2002-2005 Mike Cochrane <mike@graftonhall.co.nz>
 *
 * See the enclosed file LICENSE for license information. If you
 * did not receive this file, see http://www.horde.org/licenses.
 */

define('INGO_BASE',  dirname(__FILE__));
require_once INGO_BASE . '/lib/base.php';

/* Redirect to prefs if script is turned off. */
if (!$prefs->getValue('show_script')) {
    header('Location: ' . Horde::applicationUrl('prefs.php', true));
    exit;
}

$filters = &$_SESSION['ingo']['filters'];
$script = '';

require INGO_TEMPLATES . '/common-header.inc';
require INGO_BASE . '/menu.php';

/* Get the Ingo_Script:: backend. */
$scriptor = &Ingo::loadIngoScript();
if ($scriptor) {
    /* Generate the script for that backend */
    $script = $scriptor->generate();

    /* Set the script running if requested */
    $actionID = Horde::getFormData('actionID');
    if ($actionID == INGO_ACTION_ACTIVATE) {
        /* This does its own $notification->push() on error. */
        Ingo::activateScript($script);
    }
}

$notification->notify();

if (!empty($script)) {
    require INGO_TEMPLATES . '/script/header.inc';

    $lines = preg_split('(\n|\n|\r)', $script);
    $i = 0;
    foreach ($lines as $line) {
        echo ++$i . ': ' . $line . "\n";
    }
}

require INGO_TEMPLATES . '/script/footer.inc';
require INGO_TEMPLATES . '/common-footer.inc';
