<?php
/**
 * $Horde: ingo/vacation.php,v 1.9.2.5 2005/01/03 11:25:54 jan Exp $
 *
 * Copyright 2002-2005 Mike Cochrane <mike@graftonhall.co.nz>
 *
 * See the enclosed file LICENSE for license information. If you
 * did not receive this file, see http://www.horde.org/licenses.
 */

define('INGO_BASE', dirname(__FILE__));
require_once INGO_BASE . '/lib/base.php';

/* Redirect to prefs if vacation is turned off. */
if (!$prefs->getValue('show_vacation')) {
    header('Location: ' . Horde::applicationUrl('filters.php', true));
    exit;
}

if (Horde::getFormData('actionID') == INGO_RULE_UPDATE) {
    $vacation = array();
    $vacation['active'] = Horde::getFormData('active') == '1';
    $vacation['subject'] = Horde::getFormData('subject');
    $vacation['days'] = Horde::getFormData('days', '7');
    $vacation['ignorelist'] = Horde::getFormData('ignorelist') == '1';
    $vacation['excludes'] = Horde::getFormData('excludes', '');
    $vacation['addresses'] = Horde::getFormData('addresses');
    $vacation['subject'] = Horde::getFormData('subject', '');
    $vacation['reason'] = Horde::getFormData('reason', '');

    if (empty($vacation['addresses'])) {
        $notification->push(_("You must specify at least one email address for which the vaction messages should be activated."), HORDE_ERROR);
    } else {
        $result = $ingo['storage']->store('vacation', $vacation);
        if (!$result || PEAR::isError($result)) {
            $msg = PEAR::isError($result)
                ? _("Changes not saved: ") . $result->getMessage()
                : _("Changes not saved.");
            $notification->push($msg, HORDE_ERROR);
        } else {
            $notification->push(_("Changes Saved"), HORDE_SUCCESS);
        }

        if ($prefs->getValue('auto_update')) {
            Ingo::updateScript();
        }
    }
}

require INGO_TEMPLATES . '/common-header.inc';
require INGO_BASE . '/menu.php';
$notification->notify();

$vacation = $ingo['storage']->retrieve('vacation');
if (empty($vacation['addresses'])) {
    require_once HORDE_BASE . '/lib/Identity.php';
    $identity = &new Identity();
    $vacation['addresses'] = implode("\n", $identity->getAll('from_addr'));
}

require INGO_TEMPLATES . '/vacation/vacation.inc';
require INGO_TEMPLATES . '/common-footer.inc';
